PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
client-node.h File Reference
Extensions » Client Node

`pipewire/extensions/client-node.h` More...

Go to the source code of this file.

## Data Structures
struct | pw_client_node_buffer
| information about a buffer More...
struct | pw_client_node_events
| Client Node events More...
struct | pw_client_node_methods
| Client Node methods More...

## Macros
#define | PW_TYPE_INTERFACE_ClientNode PW_TYPE_INFO_INTERFACE_BASE "ClientNode"
#define | PW_VERSION_CLIENT_NODE 6
#define | PW_EXTENSION_MODULE_CLIENT_NODE PIPEWIRE_MODULE_PREFIX "module-client-node"
#define | PW_CLIENT_NODE_EVENT_TRANSPORT 0
#define | PW_CLIENT_NODE_EVENT_SET_PARAM 1
#define | PW_CLIENT_NODE_EVENT_SET_IO 2
#define | PW_CLIENT_NODE_EVENT_EVENT 3
#define | PW_CLIENT_NODE_EVENT_COMMAND 4
#define | PW_CLIENT_NODE_EVENT_ADD_PORT 5
#define | PW_CLIENT_NODE_EVENT_REMOVE_PORT 6
#define | PW_CLIENT_NODE_EVENT_PORT_SET_PARAM 7
#define | PW_CLIENT_NODE_EVENT_PORT_USE_BUFFERS 8
#define | PW_CLIENT_NODE_EVENT_PORT_SET_IO 9
#define | PW_CLIENT_NODE_EVENT_SET_ACTIVATION 10
#define | PW_CLIENT_NODE_EVENT_PORT_SET_MIX_INFO 11
#define | PW_CLIENT_NODE_EVENT_NUM 12
#define | PW_VERSION_CLIENT_NODE_EVENTS 1
#define | PW_CLIENT_NODE_METHOD_ADD_LISTENER 0
#define | PW_CLIENT_NODE_METHOD_GET_NODE 1
#define | PW_CLIENT_NODE_METHOD_UPDATE 2
#define | PW_CLIENT_NODE_METHOD_PORT_UPDATE 3
#define | PW_CLIENT_NODE_METHOD_SET_ACTIVE 4
#define | PW_CLIENT_NODE_METHOD_EVENT 5
#define | PW_CLIENT_NODE_METHOD_PORT_BUFFERS 6
#define | PW_CLIENT_NODE_METHOD_NUM 7
#define | PW_VERSION_CLIENT_NODE_METHODS 0
#define | PW_CLIENT_NODE_UPDATE_PARAMS (1 << 0)
#define | PW_CLIENT_NODE_UPDATE_INFO (1 << 1)
#define | PW_CLIENT_NODE_PORT_UPDATE_PARAMS (1 << 0)
#define | PW_CLIENT_NODE_PORT_UPDATE_INFO (1 << 1)
#define | pw_client_node_method(o, method, version, ...)
#define | pw_client_node_add_listener(c, ...)
#define | pw_client_node_update(c, ...)
| Update the node ports and properties.
#define | pw_client_node_port_update(c, ...)
| Update a node port.
#define | pw_client_node_set_active(c, ...)
| Activate or deactivate the node.
#define | pw_client_node_event(c, ...)
| Send an event to the node.
#define | pw_client_node_port_buffers(c, ...)
| Send allocated buffers.

## Functions
static struct pw_node * | pw_client_node_get_node (struct pw_client_node *p, uint32_t version, size_t user_data_size)

## Detailed Description

`pipewire/extensions/client-node.h`

## Macro Definition Documentation

## ◆ PW_CLIENT_NODE_UPDATE_PARAMS

#define PW_CLIENT_NODE_UPDATE_PARAMS (1 << 0)

## ◆ PW_CLIENT_NODE_UPDATE_INFO

#define PW_CLIENT_NODE_UPDATE_INFO (1 << 1)

## ◆ PW_CLIENT_NODE_PORT_UPDATE_PARAMS

#define PW_CLIENT_NODE_PORT_UPDATE_PARAMS (1 << 0)

## ◆ PW_CLIENT_NODE_PORT_UPDATE_INFO

#define PW_CLIENT_NODE_PORT_UPDATE_INFO (1 << 1)